"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.ts
var src_exports = {};
__export(src_exports, {
  BootstrapDragHandle: () => BootstrapDragHandle,
  BootstrapNotToggle: () => BootstrapNotToggle,
  BootstrapValueEditor: () => BootstrapValueEditor,
  QueryBuilderBootstrap: () => QueryBuilderBootstrap,
  bootstrapControlClassnames: () => bootstrapControlClassnames,
  bootstrapControlElements: () => bootstrapControlElements
});
module.exports = __toCommonJS(src_exports);
var import_react_querybuilder2 = require("react-querybuilder");

// src/BootstrapDragHandle.tsx
var import_react = require("react");
var import_jsx_runtime = require("react/jsx-runtime");
var BootstrapDragHandle = (0, import_react.forwardRef)(
  ({ className, title }, dragRef) => /* @__PURE__ */ (0, import_jsx_runtime.jsx)("span", { ref: dragRef, className, title, children: /* @__PURE__ */ (0, import_jsx_runtime.jsx)("i", { className: "bi bi-grip-vertical" }) })
);
BootstrapDragHandle.displayName = "BootstrapDragHandle";

// src/BootstrapNotToggle.tsx
var import_react2 = require("react");
var import_jsx_runtime2 = require("react/jsx-runtime");
var BootstrapNotToggle = ({
  className,
  handleOnChange,
  title,
  label,
  checked,
  disabled
}) => {
  const id = (0, import_react2.useId)();
  return /* @__PURE__ */ (0, import_jsx_runtime2.jsxs)("div", { className: `form-check-inline form-switch ${className}`, children: [
    /* @__PURE__ */ (0, import_jsx_runtime2.jsx)(
      "input",
      {
        id,
        className: "form-check-input",
        type: "checkbox",
        onChange: (e) => handleOnChange(e.target.checked),
        checked: !!checked,
        disabled
      }
    ),
    /* @__PURE__ */ (0, import_jsx_runtime2.jsx)("label", { title, htmlFor: id, className: "form-check-label", children: label })
  ] });
};
BootstrapNotToggle.displayName = "BootstrapNotToggle";

// src/BootstrapValueEditor.tsx
var import_react_querybuilder = require("react-querybuilder");
var import_jsx_runtime3 = require("react/jsx-runtime");
var import_react3 = require("react");
var BootstrapValueEditor = (props) => {
  const { valueAsArray, multiValueHandler } = (0, import_react_querybuilder.useValueEditor)({
    handleOnChange: props.handleOnChange,
    inputType: props.inputType,
    operator: props.operator,
    value: props.value,
    type: props.type,
    listsAsArrays: props.listsAsArrays,
    parseNumbers: props.parseNumbers,
    values: props.values
  });
  const { selectorComponent: SelectorComponent = import_react_querybuilder.ValueSelector } = props;
  if (props.operator === "null" || props.operator === "notNull") {
    return null;
  }
  const placeHolderText = props.fieldData?.placeholder ?? "";
  if ((props.operator === "between" || props.operator === "notBetween") && (props.type === "select" || props.type === "text")) {
    const editors = ["from", "to"].map((key, i) => {
      if (props.type === "text") {
        return /* @__PURE__ */ (0, import_jsx_runtime3.jsx)(
          "input",
          {
            type: props.inputType || "text",
            placeholder: placeHolderText,
            value: valueAsArray[i] ?? "",
            className: `${import_react_querybuilder.standardClassnames.valueListItem} form-control form-control-sm`,
            disabled: props.disabled,
            onChange: (e) => multiValueHandler(e.target.value, i)
          },
          key
        );
      }
      return /* @__PURE__ */ (0, import_react3.createElement)(
        SelectorComponent,
        {
          ...props,
          key,
          className: `${import_react_querybuilder.standardClassnames.valueListItem} form-select form-select-sm`,
          handleOnChange: (v) => multiValueHandler(v, i),
          disabled: props.disabled,
          value: valueAsArray[i] ?? (0, import_react_querybuilder.getFirstOption)(props.values),
          options: props.values ?? [],
          listsAsArrays: props.listsAsArrays
        }
      );
    });
    return /* @__PURE__ */ (0, import_jsx_runtime3.jsxs)("span", { "data-testid": props.testID, className: import_react_querybuilder.standardClassnames.value, title: props.title, children: [
      editors[0],
      props.separator,
      editors[1]
    ] });
  }
  switch (props.type) {
    case "select":
    case "multiselect":
      return /* @__PURE__ */ (0, import_jsx_runtime3.jsx)(
        import_react_querybuilder.ValueEditor,
        {
          skipHook: true,
          ...props,
          className: `${props.className} form-select form-select-sm`
        }
      );
    case "switch":
      return /* @__PURE__ */ (0, import_jsx_runtime3.jsx)("span", { className: `custom-control custom-switch ${props.className}`, children: /* @__PURE__ */ (0, import_jsx_runtime3.jsx)(
        "input",
        {
          type: "checkbox",
          className: "form-check-input custom-control-input",
          title: props.title,
          disabled: props.disabled,
          onChange: (e) => props.handleOnChange(e.target.checked),
          checked: !!props.value
        }
      ) });
    case "checkbox":
      return /* @__PURE__ */ (0, import_jsx_runtime3.jsx)(import_react_querybuilder.ValueEditor, { skipHook: true, ...props, className: `form-check-input ${props.className}` });
    case "radio":
      return /* @__PURE__ */ (0, import_jsx_runtime3.jsx)("span", { title: props.title, className: import_react_querybuilder.standardClassnames.value, children: props.values?.map((v) => /* @__PURE__ */ (0, import_jsx_runtime3.jsxs)("div", { className: "form-check form-check-inline", children: [
        /* @__PURE__ */ (0, import_jsx_runtime3.jsx)(
          "input",
          {
            className: "form-check-input",
            type: "radio",
            id: v.name,
            value: v.name,
            checked: props.value === v.name,
            disabled: props.disabled,
            onChange: (e) => props.handleOnChange(e.target.value)
          }
        ),
        /* @__PURE__ */ (0, import_jsx_runtime3.jsx)("label", { className: "form-check-label", htmlFor: v.name, children: v.label })
      ] }, v.name)) });
  }
  return /* @__PURE__ */ (0, import_jsx_runtime3.jsx)(import_react_querybuilder.ValueEditor, { skipHook: true, ...props });
};
BootstrapValueEditor.displayName = "BootstrapValueEditor";

// src/index.ts
var bootstrapControlElements = {
  dragHandle: BootstrapDragHandle,
  notToggle: BootstrapNotToggle,
  valueEditor: BootstrapValueEditor
};
var bootstrapControlClassnames = {
  addGroup: "btn btn-secondary btn-sm",
  addRule: "btn btn-primary btn-sm",
  cloneGroup: "btn btn-secondary btn-sm",
  cloneRule: "btn btn-secondary btn-sm",
  lockGroup: "btn btn-secondary btn-sm",
  lockRule: "btn btn-secondary btn-sm",
  removeGroup: "btn btn-danger btn-sm",
  removeRule: "btn btn-danger btn-sm",
  combinators: "form-select form-select-sm",
  fields: "form-select form-select-sm",
  operators: "form-select form-select-sm",
  value: "form-control form-control-sm",
  valueSource: "form-select form-select-sm"
};
var QueryBuilderBootstrap = (0, import_react_querybuilder2.getCompatContextProvider)({
  key: "bootstrap",
  controlClassnames: bootstrapControlClassnames,
  controlElements: bootstrapControlElements
});
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  BootstrapDragHandle,
  BootstrapNotToggle,
  BootstrapValueEditor,
  QueryBuilderBootstrap,
  bootstrapControlClassnames,
  bootstrapControlElements
});
//# sourceMappingURL=react-querybuilder_bootstrap.cjs.development.js.map