import * as react_querybuilder from 'react-querybuilder';
import { DragHandleProps, NotToggleProps, ValueEditorProps, Controls, Classnames } from 'react-querybuilder';
import * as react from 'react';

declare const BootstrapDragHandle: react.ForwardRefExoticComponent<DragHandleProps & react.RefAttributes<HTMLSpanElement>>;

declare const BootstrapNotToggle: {
    ({ className, handleOnChange, title, label, checked, disabled, }: NotToggleProps): JSX.Element;
    displayName: string;
};

declare const BootstrapValueEditor: {
    (props: ValueEditorProps): JSX.Element | null;
    displayName: string;
};

declare const bootstrapControlElements: Partial<Controls>;
declare const bootstrapControlClassnames: Partial<Classnames>;
declare const QueryBuilderBootstrap: react_querybuilder.QueryBuilderContextProvider<Record<string, any>>;

export { BootstrapDragHandle, BootstrapNotToggle, BootstrapValueEditor, QueryBuilderBootstrap, bootstrapControlClassnames, bootstrapControlElements };
